%define majver %(echo %version | cut -d. -f1-2)
Name:          totem
Version:       3.14.3
Release:       1mamba
Summary:       A movie player based on GStreamer
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
Source:        ftp://ftp.gnome.org/pub/gnome/sources/totem/%{majver}/totem-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: clutter-gst-devel
BuildRequires: clutter-gtk-devel
BuildRequires: glibc-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libclutter-devel
BuildRequires: libcogl-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgrilo-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libICE-devel
BuildRequires: libicu-devel
BuildRequires: libjson-glib-devel
BuildRequires: liblzma-devel
BuildRequires: libnautilus-extension-devel
BuildRequires: libpango-devel
BuildRequires: libpeas-devel
BuildRequires: libpng-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtotem-pl-parser-devel
BuildRequires: libuuid-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: libzeitgeist-devel
BuildRequires: lirc-devel
## AUTOBUILDREQ-END
BuildRequires: pylint
BuildRequires: libepc-devel
BuildRequires: libcogl-devel >= 0.16
BuildRequires: gnome-desktop-devel >= 3.8.0
Requires:      libtotem = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gnome-icon-theme-symbolic
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A movie player based on GStreamer.

%package -n libtotem
Summary:       Libraries provided by totem, a movie player based on GStreamer
Group:         System/Libraries

%description -n libtotem
Libraries provided by totem, a movie player based on GStreamer.

%package -n libtotem-devel
Summary:       Development package for %{name}
Group:         Applications/Development
Requires:      libtotem = %{?epoch:%epoch:}%{version}-%{release}

%description -n libtotem-devel
A movie player based on GStreamer.

This package contains static libraries and headers for development.

%package mozilla-plugin
Summary:       Totem plugins for Mozilla
Group:         Applications/Multimedia
Requires:      libtotem = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gnome-icon-theme-symbolic

%description mozilla-plugin
A movie player based on GStreamer.

%package nautilus
Summary:       Totem extension for Nautilus
Group:         Graphical Desktop/Applications/Multimedia

%description nautilus
Totem extension for Nautilus.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%prep
%setup -q

%build
%configure \
   --enable-gtk-doc \
   --disable-scrollkeeper

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%post -n libtotem
if [ $1 -ge 1 ]; then
   /sbin/ldconfig
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
fi
exit 0

%postun -n libtotem
if [ $1 -eq 0 ] ; then
   /sbin/ldconfig
   gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
fi
exit 0

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/totem
%{_bindir}/totem-audio-preview
#%{_bindir}/totem-video-indexer
%{_bindir}/totem-video-thumbnailer
%{_datadir}/GConf/gsettings/opensubtitles.convert
#%{_datadir}/GConf/gsettings/publish.convert
%{_datadir}/GConf/gsettings/pythonconsole.convert
%{_datadir}/GConf/gsettings/totem.convert
%{_datadir}/appdata/org.gnome.Totem.appdata.xml
%{_datadir}/applications/org.gnome.Totem.desktop
%{_datadir}/dbus-1/services/org.gnome.Totem.service
%{_datadir}/glib-2.0/schemas/org.gnome.totem.*.xml
#%dir %{_datadir}/omf/totem
#%{_datadir}/omf/totem/*
%{_datadir}/thumbnailers/totem.thumbnailer
%{_mandir}/man1/totem-video-thumbnailer.1*
%{_mandir}/man1/totem.1*
%dir %{_datadir}/help/*/totem
%{_datadir}/help/*/totem/*

%files -n libtotem
%defattr(-,root,root)
%{_libdir}/libtotem.so.*
%dir %{_libdir}/totem/plugins
%{_libdir}/totem/plugins/*
%{_libdir}/girepository-1.0/Totem-1.0.typelib
#%{_libexecdir}/totem-plugin-viewer
%{_libexecdir}/totem/totem-bugreport.py
%dir %{_datadir}/totem
%{_datadir}/totem/*
%{_datadir}/icons/hicolor/*
%doc AUTHORS COPYING

%files -n libtotem-devel
%defattr(-,root,root)
%dir %{_includedir}/totem
%{_includedir}/totem/*
%{_libdir}/libtotem.a
%{_libdir}/libtotem.la
%{_libdir}/libtotem.so
%{_datadir}/gir-1.0/Totem-1.0.gir
%{_libdir}/pkgconfig/totem.pc
%doc ChangeLog ChangeLog.pre-gitlog NEWS README TODO

%files nautilus
%defattr(-,root,root)
%{_libdir}/nautilus/extensions-3.0/libtotem-properties-page.*

%files mozilla-plugin
%defattr(-,root,root)
#%{_libdir}/mozilla/plugins/libtotem-*

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*

%changelog
* Thu May 21 2015 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic update by autodist

* Sat Jan 31 2015 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic update by autodist

* Fri Nov 21 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Mon Nov 03 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Sun Aug 24 2014 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic update by autodist

* Wed Apr 30 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Wed Apr 09 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.1-2mamba
- rebuilt with libcogl 0.16

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Tue May 14 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.0-2mamba
- rebuilt with libcogl 0.14.0 and gnome-desktop 3.8.0

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Sat Nov 03 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3-5mamba
- require gnome-icon-theme-symbolic

* Tue Aug 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3-4mamba
- new build requirements: pylint, libepc and libgrilo

* Tue Aug 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3-3mamba
- compile schemas after install

* Sun Aug 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.3-2mamba
- rebuilt with recent libcogl and libclutter

* Wed Jul 04 2012 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Tue May 15 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Wed Apr 04 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Sat Nov 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- update to 3.2.1

* Tue May 03 2011 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Fri Apr 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- package created by autospec
